#229 Configure Error 'AM_CONFIG_HEADER': this macro is obsolete.

closed-fixed
nobody
None
5
5 days ago
2013-01-10
nan
No

--------------------------------------------------
Environment
--------------------------------------------------

aclocal (GNU automake) 1.13.1
automake (GNU automake) 1.13.1
autoreconf (GNU Autoconf) 2.69
mac ox 10.6.8

--------------------------------------------------
Note
--------------------------------------------------

Attempting to configure using command "autoreconf -i" (as per the INSTALL document instructions) and getting the error below.

--------------------------------------------------
Error
--------------------------------------------------

$ autoreconf -i

configure.ac:15: error: 'AM_CONFIG_HEADER': this macro is obsolete.
You should use the 'AC_CONFIG_HEADERS' macro instead.
/opt/local/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:15: the top level
autom4te: /opt/local/bin/gm4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1

Discussion

  • nan
    nan
    2013-01-10

    --------------------------------------------------
    Also
    --------------------------------------------------

    SoX 14.4.2git
    git clone git://sox.git.sourceforge.net/gitroot/sox/sox

     
  • nan
    nan
    2013-01-10

    • summary: Configure Error --> Configure Error 'AM_CONFIG_HEADER': this macro is obsolete.
     
  • Ulrich Klauer
    Ulrich Klauer
    2013-01-13

    • status: open --> closed-fixed
     
  • Ulrich Klauer
    Ulrich Klauer
    2013-01-13

    Fixed in dot (first by Chris to AC_CONFIG_HEADER, then by me to AC_CONFIG_HEADERS :-)).